﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Media;
using System.IO;
using Microsoft.Win32;
using System.Runtime.InteropServices;
namespace WincePda
{
    class CommonClass
    {

#region 引用coredll
        [DllImport("coredll.dll")]
        public static extern void GwesPowerOffSystem();     //程序控制设备进入待机状态	Stand by mode

        [DllImport("coredll.dll")]
        public static extern void TouchCalibrate();         //弹出触摸笔校准界面

#endregion


        #region 
        /************************************************************************
        * SerialPortControl_Ex(UINT8 uPortID, UINT8 uValue);
         * 端口控制 通过该函数进行上电、下电等操作                              
         * nPortID 端口号；uValue 参数值 0 低电平；1 高电平         
         * 注： 一般外接电源控制使能脚对于的是端口0，即：SerialPortControl_Ex(0,1)上电，SerialPortControl_Ex(0,0)下电
        ************************************************************************/
        [DllImport("DeviceAPI.dll", EntryPoint = "SerialPortControl_Ex")]
        private static extern int SerialPortControl_Ex(byte port, byte s);


        /************************************************************************
        * SerialPortSwitch_Ex(int iPort);
        * 端口选择，用于端口间的相互切换；                         
        * iPort 端口号:0 RFID；1 外接串口；2 Barcode；3 GPS；  
        * 注：在使用COM4的时候才需要调用此函数 
        ************************************************************************/
        [DllImport("DeviceAPI.dll", EntryPoint = "SerialPortSwitch_Ex")]
        private static extern void SerialPortSwitch_Ex(int iPort);
        #endregion


   
        private const string filePath = @"\windows\Barcodebeep.wav";

        public static bool PlaySound()
        {
            try
            {
                if (File.Exists(filePath))
                {
                    SoundPlayer player = new SoundPlayer(filePath);
                    player.Play();
                }
                return true;
                
            }
            catch (System.Exception)
            {
                return false;
            }
            
        }


        /// <summary>
        /// 调用触摸笔校准程序，直接进入触摸笔校准界面
        /// </summary>
        public static void TouchTest()
        {
            TouchCalibrate();
        }

        /// <summary>
        /// 系统进入待机状态
        /// </summary>
        public static void PowerOffSystem()
        {
            GwesPowerOffSystem();
        }


       /// <summary>
       /// 读取注册表信息,判断是不是英文操作系统	Read registry information, judge whether English OS
       /// </summary>
       /// <returns>true为英文，false为中文</returns>
        public static bool isEnglish()
        {
            try
            {
                RegistryKey RegKey = Registry.CurrentUser.OpenSubKey(@"ControlPanel\Appearance");
                if ("Windows 标准" == RegKey.GetValue("Current").ToString())
                    return false;
                else
                    return true;
            }
            catch (Exception)
            {
                return true;
            }
        }

        public static int ByteArrayToInt(byte[] bRefArr)
        {         
            int iOutcome = 0;
            byte bLoop;

            for (int i = 0; i < 4; i++)
            {
                bLoop = bRefArr[i + 1];
                iOutcome += (bLoop & 0xFF) << (8 * i);
            }
            return iOutcome;
        }
    }
}
