﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WincePda;
using Wince.RAS;
using System.Threading;
namespace GPRSTOOL
{
    public partial class GPRSTOOL : Form
    {
        private string[] conText = new string[] { "连接", "Connect" };
        private string[] disCon = new string[] { "断开连接", "Disconnect" };
        private string[] formText = new string[] { "GPRS拨号连接", "GPRS" };
        private string[] alreadyCon = new string[]{"当前已经存在GPRS连接", "GPRS is already connected"};
        private string[] noConText = new string[] { "当前GPRS未连接", "GPRS is not connected" };
        private string[] waiting = new string[] { "正在连接……", "waiting……" };
        private string[] sucessText = new string[] { "连接成功", "Connect successfully" };
        private string[] failureText = new string[] {"连接失败","Connect failure" };

        private int language = 0;

        private delegate void myTest(string res);



        public GPRSTOOL()
        {
            InitializeComponent();
            if (CommonClass.isEnglish())
                language = 1;
            buttonCon.Text = conText[language];
            buttonDisCon.Text = disCon[language];
            this.Text = formText[language];
            if (CLR_RAS.GPRSIsCon("GPRS"))
                label1.Text = alreadyCon[language];
            else
                label1.Text = noConText[language];
        }
                
        private void buttonCon_Click(object sender, EventArgs e)
        {
            Cursor.Current = Cursors.WaitCursor;
            label1.Text = waiting[language];
            Thread conThread = new Thread(new ThreadStart(connectNet));
            conThread.IsBackground = true;
            conThread.Start();
        }

        private void connectNet()
        {
            if (CLR_RAS.GPRSConnectNet("GPRS"))
                Invoke(new myTest(showRes), sucessText[language]);
            else
                Invoke(new myTest(showRes), failureText[language]);
        }

        private void showRes(string res)
        {
            Cursor.Current = Cursors.Default;
            label1.Text=res;
        }

        private void buttonDisCon_Click(object sender, EventArgs e)
        {
            if (CLR_RAS.disConnect("GPRS"))
                label1.Text = noConText[language];
            else
                label1.Text = "ERROR";
        }

    }
}